From 0b76aea8e8ac0c31ec9b28deeb0cf4f68889a451 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 18 2020 19:54:24 +0000
Subject: [PATCH 173/2232] Allow extern abi to be specified as "C++"


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index e07ee25..2258dd6 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -111,7 +111,7 @@ fn parse_lang(abi: Abi) -> Result<Lang> {
         }
     };
     match name.value().as_str() {
-        "C" => Ok(Lang::Cxx),
+        "C" | "C++" => Ok(Lang::Cxx),
         "Rust" => Ok(Lang::Rust),
         _ => Err(Error::new_spanned(abi, "unrecognized ABI")),
     }

